## lomiri-online-accounts-plugins-caldav 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-online-accounts-plugins-caldav VERSION 0.5.0 LANGUAGES NONE)

include(FindGettext)
include(FindPkgConfig)
include(GNUInstallDirs)

pkg_check_modules(ONLINE_ACCOUNTS_PLUGINS REQUIRED LomiriOnlineAccountsPlugin)
pkg_get_variable(PLUGIN_QML_DIR LomiriOnlineAccountsPlugin plugin_qml_dir)
pkg_check_modules(LIBACCOUNTS_GLIB REQUIRED libaccounts-glib)
pkg_get_variable(SERVICE_FILE_BASE_DIR libaccounts-glib servicefilesdir)
set(SERVICE_FILE_DIR ${SERVICE_FILE_BASE_DIR}/lomiri)
pkg_get_variable(PROVIDER_FILE_BASE_DIR libaccounts-glib providerfilesdir)
set(PROVIDER_FILE_DIR ${PROVIDER_FILE_BASE_DIR}/lomiri)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(accounts)
add_subdirectory(buteo)
add_subdirectory(po)

=== debian/changelog ===
lomiri-online-accounts-plugins-caldav (0.5.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1090741).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Dec 2024 09:12:40 +0100

=== debian/control ===
Source: lomiri-online-accounts-plugins-caldav
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               intltool,
               cmake,
               gettext,
               libaccounts-glib-dev,
               liblomiri-online-accounts-plugin-dev (>= 0.13),
               pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-online-accounts-plugins-caldav
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-online-accounts-plugins-caldav.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-online-accounts-plugins-caldav

Package: lomiri-online-accounts-plugin-nextcloud-caldav
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         lomiri-online-accounts-plugin-caldav-generic (>= ${source:Version}),
         lomiri-online-accounts-plugin-nextcloud,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
Description: Online account plugin for Lomiri - Nextcloud CalDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing CalDAV credentials
 stored in Nextcloud.

Package: lomiri-online-accounts-plugin-owncloud-caldav
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         lomiri-online-accounts-plugin-caldav-generic (>= ${source:Version}),
         lomiri-online-accounts-plugin-owncloud,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
Description: Online account plugin for Lomiri - Owncloud CalDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing CalDAV credentials
 stored in ownCloud.

Package: lomiri-online-accounts-plugin-caldav-generic
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
         buteo-syncfw-plugin-caldav,
Description: Online account plugin for Lomiri - Generic CalDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing generic CalDAV server
 credentials.

## lomiri-online-accounts-plugins-caldav 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-online-accounts-plugins-caldav VERSION 0.5.0 LANGUAGES NONE)
+project(lomiri-online-accounts-plugins-caldav VERSION 0.5.1 LANGUAGES NONE)
 
 include(FindGettext)
 include(FindPkgConfig)

=== debian/changelog ===
lomiri-online-accounts-plugins-caldav (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jan 2025 09:07:48 +0100

lomiri-online-accounts-plugins-caldav (0.5.0-2) unstable; urgency=medium

  * debian/control:
    + Add B:/R: (lomiri-online-accounts-plugin-caldav-generic) for lomiri-sync-
      monitor-loa.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2024 11:14:40 +0100

## lomiri-online-accounts-plugins-caldav 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-online-accounts-plugins-caldav VERSION 0.5.1 LANGUAGES NONE)
+project(lomiri-online-accounts-plugins-caldav VERSION 0.5.2 LANGUAGES NONE)
 
 include(FindGettext)
 include(FindPkgConfig)

=== po/CMakeLists.txt ===
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN lomiri-online-accounts-plugins-caldav)
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  COMMAND ${CMAKE_COMMAND} -E env "GETTEXTDATADIRS=${CMAKE_SOURCE_DIR}"
          ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --keyword=_ --keyword=N_
          --keyword=tr --keyword=tr:1,2
          --keyword=dtr:2 --keyword=dtr:2,3
          --package-name='${DOMAIN}'
          --copyright-holder='Ubports Foundation'
          --from-code=utf-8
          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POT_FILE}
               ${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE}
               COPYONLY)
foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== accounts/plugin/CMakeLists.txt ===
set(PROVIDER_FILES
    generic-caldav.provider
)

gettext_merge_xml_translations(${PROVIDER_FILES})

foreach(PROVIDER_FILE ${PROVIDER_FILES})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROVIDER_FILE}
        DESTINATION ${PROVIDER_FILE_DIR}
    )
endforeach()

set(PLUGIN_QML_FILES
    qml/Main.qml
    qml/NewAccount.qml
)

install(FILES ${PLUGIN_QML_FILES}
    DESTINATION ${PLUGIN_QML_DIR}/generic-caldav
)

set(PLUGIN_ICON
    online-accounts-caldav.png
)

install(FILES ${PLUGIN_ICON}
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/suru/apps/128
)

=== accounts/services/CMakeLists.txt ===
set(SERVICE_FILES
    lomiri-generic-caldav.service
    lomiri-owncloud-caldav.service
    lomiri-nextcloud-caldav.service
)

gettext_merge_xml_translations("${SERVICE_FILES}")

foreach(SERVICE_FILE ${SERVICE_FILES})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${SERVICE_FILE}
        DESTINATION ${SERVICE_FILE_DIR}
    )
endforeach()

=== buteo/sync-profiles/CMakeLists.txt ===
set(SYNC_PROFILE_FILES
    lomiri-generic-caldav.xml
    lomiri-owncloud-caldav.xml
    lomiri-nextcloud-caldav.xml
)

foreach(SYNC_PROFILE_FILE ${SYNC_PROFILE_FILES})
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${SYNC_PROFILE_FILE}
        DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/buteo/profiles/sync
    )
endforeach()

=== debian/changelog ===
lomiri-online-accounts-plugins-caldav (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Feb 2025 14:57:29 +0100

=== debian/control ===
--- 
+++ 
@@ -56,6 +56,8 @@
          qml-module-lomiri-components,
          qml-module-lomiri-onlineaccounts,
          buteo-syncfw-plugin-caldav,
+Breaks: lomiri-sync-monitor-loa,
+Replaces: lomiri-sync-monitor-loa,
 Description: Online account plugin for Lomiri - Generic CalDAV
  Lomiri Online Accounts is an API / library framework to mediate
  centralized account management for remote services.
